Summary: Plugins for multi channel settings manager
Name: xfce-mcs-plugins
Version: 4.0.5
Release: 2
License: GPL
URL: http://www.xfce.org/
Source0: http://www.xfce.org/archive/%{name}-%{version}.tar.gz

# dependant libraries check on x86_64
Patch0: xfce4-4.0.3-amd64.patch
# Add icon theme support
Patch1: xfce-mcs-plugin-icontheme.patch
# Change default for Fedora
Patch2: xfce-mcs-plugin-fedora.patch

Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root

Requires: gtk2 >= 2.0.6
Requires: xfce-mcs-manager >= 4.0.5

BuildRequires: gtk2-devel >= 2.0.6
BuildRequires: xfce-mcs-manager-devel >= 4.0.5
BuildRequires: libxfcegui4-devel >= 4.0.5
BuildRequires: libxfce4util-devel >= 4.0.5
BuildRequires: libxfce4mcs-devel >= 4.0.5

%description
This package inlcudes a set of plugins for the multi channel
settings manager.

%prep
%setup -q

%patch1 -p1 -b .icontheme
%patch2 -p1 -b .fedora

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INSTALL TODO COPYING AUTHORS
%{_datadir}/xfce4/doc
%{_datadir}/locale/
%{_libdir}/xfce4/mcs-plugins/*

%changelog
* Tue Apr 20 2004 Than Ngo <than@redhat.com> 4.0.5-2
- Fix bug in default icon theme selection, thanks to Olivier Fourdan <fourdan@xfce.org>
- Add support for icon theme, Change defaults for fedora, #119647, thanks to Olivier Fourdan <fourdan@xfce.org>

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Fri Jan 09 2004 Than Ngo <than@redhat.com> 4.0.3-1
- add libxfce4util-devel, libxfcegui4-devel in BuildRequires
- 4.0.3 release

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2 release

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build
